<?php

if(!function_exists('lasf_get_plugin_source')){
    function lasf_get_plugin_source( $new, $initial, $plugin_name, $type = 'source'){
        if(isset($new[$plugin_name], $new[$plugin_name][$type]) && version_compare($initial[$plugin_name]['version'], $new[$plugin_name]['version']) < 0 ){
            return $new[$plugin_name][$type];
        }
        else{
            return $initial[$plugin_name][$type];
        }
    }
}


add_action( 'tgmpa_register', 'la_zyra_register_required_plugins' );

if(!function_exists('la_zyra_register_required_plugins')){

	function la_zyra_register_required_plugins() {

        $initial_required = array(
            'lastudio-core' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/la-zyra/plugins/lastudio-core_v3.1.8.zip',
                'version'   => '3.1.8'
            ),
            'la-zyra-demo-data' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/la-zyra/plugins/la-zyra-demo-data/1.0.2/la-zyra-demo-data.zip',
                'version'   => '1.0.2'
            ),
            'revslider' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/revslider_v6.5.18.zip',
                'version'   => '6.5.18'
            ),
            'js_composer' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/js_composer_v6.8.0.zip',
                'version'   => '6.8.0'
            ),
            'lastudio-pagespeed' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/lastudio-pagespeed_v1.0.4.zip',
                'version'   => '1.0.4'
            )
        );

        $from_option = get_option('la-zyra_required_plugins_list', $initial_required);

		$plugins = array();

		$plugins[] = array(
			'name'					=> esc_html_x('WPBakery Visual Composer', 'admin-view', 'la-zyra'),
			'slug'					=> 'js_composer',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'js_composer'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'js_composer', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html_x('LA Studio Core', 'admin-view', 'la-zyra'),
			'slug'					=> 'lastudio-core',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-core'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-core', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html_x('LA Zyra Package Demo Data', 'admin-view', 'la-zyra'),
			'slug'					=> 'la-zyra-demo-data',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'la-zyra-demo-data'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'la-zyra-demo-data', 'version')
		);

		$plugins[] = array(
			'name'     				=> esc_html_x('WooCommerce', 'admin-view', 'la-zyra'),
			'slug'     				=> 'woocommerce',
			'version'				=> '6.3.1',
			'required' 				=> false
		);

		$plugins[] = array(
			'name'					=> esc_html_x('Slider Revolution', 'admin-view', 'la-zyra'),
			'slug'					=> 'revslider',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider', 'version')
		);

		$plugins[] = array(
			'name'     				=> esc_html_x('Envato Market', 'admin-view', 'la-zyra'),
			'slug'     				=> 'envato-market',
			'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required' 				=> false,
			'version' 				=> '2.0.7'
		);

        $plugins[] = array(
            'name'     				=> esc_html_x('LaStudio PageSpeed', 'admin-view', 'la-zyra'),
            'slug'					=> 'lastudio-pagespeed',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-pagespeed'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-pagespeed', 'version')
        );

		$plugins[] = array(
			'name' 					=> esc_html_x('Contact Form 7', 'admin-view', 'la-zyra'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('Easy Forms for MailChimp by YIKES', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yikes-inc-easy-mailchimp-extender',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('YITH WooCommerce Compare', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yith-woocommerce-compare',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('YITH WooCommerce Wishlist', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yith-woocommerce-wishlist',
			'required' 				=> false
		);

		$config = array(
			'id'           				=> 'la-zyra',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}