<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 *
 * Field: Icon
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
class LaStudio_Framework_Field_icon extends LaStudio_Framework_Field_Base {

  public function __construct( $field, $value = '', $unique = '' ) {
    parent::__construct( $field, $value, $unique );
  }

  public function output() {

    echo $this->element_before();

    $value  = $this->element_value();
    $hidden = ( empty( $value ) ) ? ' hidden' : '';
    $add_text = (!empty($this->field['add_text'])) ? $this->field['add_text'] : __( 'Add Icon', 'la-studio' );
    $remove_text = (!empty($this->field['remove_text'])) ? $this->field['remove_text'] : __( 'Remove Icon', 'la-studio' );

    echo '<div class="la-icon-select">';
    echo '<span class="la-icon-preview'. $hidden .'"><i class="'. $value .'"></i></span>';
    echo '<a href="#" class="button button-primary la-btn-add-icon">'. $add_text .'</a>';
    echo '<a href="#" class="button la-warning-primary la-icon-remove'. $hidden .'">'.$remove_text .'</a>';
    echo '<input type="text" name="'. $this->element_name() .'" value="'. $value .'"'. $this->element_class( 'la-icon-value' ) . $this->element_attributes() .' />';
    echo '</div>';
    echo $this->element_after();

  }

}
